#**********************************************************************#
#*                                                                    *#
#* Copyright (c) 2001 by Sun Microsystems, Inc.                       *#
#* All rights reserved.                                               *#
#*                                                                    *#
#**********************************************************************#

#
# ACCTSET
#
echo "Compiling ACCTSET.bms"
kixbms -a -c ACCTSET.bms


#
# acct00
#
echo "Translating acct00"
kixclt -d oracle acct00.ccs
echo "compiling acct00.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o acct00.o acct00.c
ld -G -o acct00.so acct00.o


#
# acct01
#
echo "Precompiling acct01"
proc acct01.pc acct01.ccs \
include=$ORACLE_HOME/precomp/public \
include=$UNIKIX/src/CICS_structures \
ireclen=132 maxliteral=161 mode=ansi hold_cursor=no release_cursor=yes \
maxopencursors=50 dbms=v7 
echo "Translating acct01"
kixclt -d oracle acct01.ccs
echo "compiling acct01.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o acct01.o acct01.c
ld -G -o acct01.so acct01.o


#
# acct02
#
echo "Precompiling acct02"
proc acct02.pc acct02.ccs \
include=$ORACLE_HOME/precomp/public \
include=$UNIKIX/src/CICS_structures \
ireclen=132 maxliteral=161 mode=ansi hold_cursor=no release_cursor=yes \
maxopencursors=50 dbms=v7 
echo "Translating acct02"
kixclt -d oracle acct02.ccs
echo "compiling acct02.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o acct02.o acct02.c
ld -G -o acct02.so acct02.o


#
# acct03
#
echo "Translating acct03"
kixclt -d oracle acct03.ccs
echo "compiling acct03.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o acct03.o acct03.c
ld -G -o acct03.so acct03.o


#
# acctfet
#
echo "Precompiling acctfet"
proc acctfet.pc acctfet.ccs \
include=$ORACLE_HOME/precomp/public \
include=$UNIKIX/src/CICS_structures \
ireclen=132 maxliteral=161 mode=ansi hold_cursor=no release_cursor=yes \
maxopencursors=50 dbms=v7 
echo "Translating acctfet"
kixclt -d oracle acctfet.ccs
echo "compiling acctfet.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o acctfet.o acctfet.c
ld -G -o acctfet.so acctfet.o

